# This file created by conda-build 3.22.0
# ------------------------------------------------

package:
  name: r-xgboost
  version: 1.7.3
source:
  git_rev: v1.7.3
  git_url: https://github.com/dmlc/xgboost
  patches:
    - 0001-conda-Unbundle-libxgboost.-dll-dylib-so.patch
build:
  ignore_run_exports:
    - libgcc-ng
    - libstdcxx-ng
  missing_dso_whitelist:
    - lib/libgcc_s.so.1
    - lib/libstdc++.so.6
  number: 0
  rpaths:
    - lib/R/lib
  string: r35h2c33d7e_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - bzip2 1.0.8 h7b6447c_0
    - c-ares 1.18.1 h7f8727e_0
    - ca-certificates 2023.01.10 h06a4308_0
    - cmake 3.22.1 h1fce559_0
    - curl 7.87.0 h5eee18b_0
    - expat 2.4.9 h6a678d5_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - gdbm 1.18 hd4cb3f1_4
    - gettext 0.21.0 hf68c758_0
    - git 2.34.1 pl5262hc120c5b_0
    - gxx_impl_linux-64 11.2.0 h1234567_1
    - gxx_linux-64 11.2.0 hc2dff05_0
    - icu 58.2 he6710b0_3
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - krb5 1.19.4 h568e23c_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libcurl 7.87.0 h91b91d3_0
    - libedit 3.1.20221030 h5eee18b_0
    - libev 4.33 h7f8727e_1
    - libffi 3.4.2 h6a678d5_6
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libnghttp2 1.46.0 hce63b2e_0
    - libssh2 1.10.0 h8f2d780_0
    - libstdcxx-devel_linux-64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - libuv 1.40.0 h7b6447c_0
    - libxml2 2.9.14 h74e7548_0
    - lz4-c 1.9.4 h6a678d5_0
    - make 4.2.1 h1bed415_1
    - ncurses 6.4 h6a678d5_0
    - ninja 1.10.2 h06a4308_5
    - ninja-base 1.10.2 hd09550d_5
    - openssl 1.1.1s h7f8727e_0
    - pcre2 10.37 he7ceb23_1
    - perl 5.34.0 h5eee18b_2
    - python 3.11.0 h7a1cb2a_2
    - readline 8.2 h5eee18b_0
    - rhash 1.4.1 h3c74f83_1
    - sqlite 3.40.1 h5082296_0
    - sysroot_linux-64 2.17 h57e8cba_10
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2022g h04d1e81_0
    - xz 5.2.10 h5eee18b_1
    - zlib 1.2.13 h5eee18b_0
    - zstd 1.5.2 ha4553b6_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _r-mutex 1.0.0 anacondar_1
    - binutils_impl_linux-64 2.33.1 he6710b0_7
    - binutils_linux-64 2.33.1 h9595d00_15
    - bwidget 1.9.11 1
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.01.10 h06a4308_0
    - cairo 1.16.0 hb05425b_3
    - curl 7.67.0 hbc83047_0
    - expat 2.4.9 h6a678d5_0
    - fontconfig 2.14.1 h52c9d5c_1
    - freetype 2.12.1 h4a9f257_0
    - fribidi 1.0.10 h7b6447c_0
    - gcc_impl_linux-64 7.3.0 habb00fd_1
    - gcc_linux-64 7.3.0 h553295d_15
    - gfortran_impl_linux-64 7.3.0 hdf63c60_1
    - gfortran_linux-64 7.3.0 h553295d_15
    - glib 2.69.1 he621ea3_2
    - graphite2 1.3.14 h295c915_1
    - gsl 2.4 h14c3975_4
    - gxx_impl_linux-64 7.3.0 hdf63c60_1
    - gxx_linux-64 7.3.0 h553295d_15
    - harfbuzz 4.3.0 hd55b92a_0
    - icu 58.2 he6710b0_3
    - jpeg 9e h7f8727e_0
    - krb5 1.16.4 h173b8e3_0
    - ld_impl_linux-64 2.33.1 h53a641e_7
    - lerc 3.0 h295c915_0
    - libcurl 7.67.0 h20c2e04_0
    - libdeflate 1.8 h7f8727e_5
    - libedit 3.1.20221030 h5eee18b_0
    - libffi 3.4.2 h6a678d5_6
    - libgcc-ng 11.2.0 h1234567_1
    - libgfortran-ng 7.5.0 ha8ba4b0_17
    - libgfortran4 7.5.0 ha8ba4b0_17
    - libgomp 11.2.0 h1234567_1
    - libpng 1.6.37 hbc83047_0
    - libssh2 1.10.0 h8f2d780_0
    - libstdcxx-ng 11.2.0 h1234567_1
    - libtiff 4.5.0 h6a678d5_1
    - libuuid 1.41.5 h5eee18b_0
    - libwebp-base 1.2.4 h5eee18b_0
    - libxcb 1.15 h7f8727e_0
    - libxgboost 1.7.3 h6a678d5_0
    - libxml2 2.9.14 h74e7548_0
    - lz4-c 1.9.4 h6a678d5_0
    - make 4.2.1 h1bed415_1
    - ncurses 6.4 h6a678d5_0
    - openssl 1.1.1s h7f8727e_0
    - pango 1.50.7 h05da053_0
    - pcre 8.45 h295c915_0
    - pixman 0.40.0 h7f8727e_1
    - r-base 3.5.1 h1e0a451_2
    - r-data.table 1.11.4 r351h96ca727_0
    - r-evaluate 0.11 r351h6115d3f_0
    - r-glue 1.3.0 r351h96ca727_0
    - r-highr 0.7 r351h6115d3f_0
    - r-jsonlite 1.5 r351h96ca727_0
    - r-knitr 1.20 r351h6115d3f_0
    - r-lattice 0.20_35 r351h96ca727_0
    - r-magrittr 1.5 r351h6115d3f_4
    - r-markdown 0.8 r351h96ca727_0
    - r-matrix 1.2_14 r351h96ca727_0
    - r-mime 0.5 r351h96ca727_0
    - r-stringi 1.2.4 r351h29659fb_0
    - r-stringr 1.3.1 r351h6115d3f_0
    - r-yaml 2.2.0 r351h96ca727_0
    - readline 7.0 h7b6447c_5
    - tk 8.6.12 h1ccaba5_0
    - tktable 2.10 h14c3975_0
    - xz 5.2.10 h5eee18b_1
    - zlib 1.2.13 h5eee18b_0
    - zstd 1.5.2 ha4553b6_0
  run:
    - _openmp_mutex
    - _r-xgboost-mutex 2.0 cpu_0
    - libxgboost 1.7.3 h6a678d5_0
    - r-base >=3.5,<3.6.0a0
    - r-data.table
    - r-jsonlite
    - r-magrittr
    - r-matrix
test:
  commands:
    - Rscript test-r-xgboost.r
  files:
    - test-r-xgboost.r
about:
  description: 'XGBoost is an optimized distributed gradient boosting library designed
    to be highly efficient,

    flexible and portable. It implements machine learning algorithms under the Gradient
    Boosting

    framework. XGBoost provides a parallel tree boosting (also known as GBDT, GBM)
    that solve many

    data science problems in a fast and accurate way. The same code runs on major
    distributed

    environment (Hadoop, SGE, MPI) and can solve problems beyond billions of examples.

    '
  dev_url: https://github.com/dmlc/xgboost/
  doc_url: https://xgboost.readthedocs.io/
  home: https://github.com/dmlc/xgboost
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: 'Scalable, Portable and Distributed Gradient Boosting (GBDT, GBRT or GBM)
    Library, for

    Python, R, Java, Scala, C++ and more. Runs on single machine, Hadoop, Spark, Flink

    and DataFlow

    '
extra:
  copy_test_source_files: true
  feedstock-name: xgboost
  final: true
  flow_run_id: 558ca5d8-f837-4173-a835-3eb3cac783cb
  recipe-maintainers:
    - aldanor
    - fhoehle
    - jakirkham
    - ksangeek
    - xhochy
  remote_url: git@github.com:AnacondaRecipes/xgboost-feedstock.git
  sha: c4c37e90ba48b2d419e5604343aa10eb252ee03c
